classification
Title: PyExc_BufferError is declared but nowhere defined
Type: crash Stage:
Components: Interpreter Core Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, pitrou, teoliphant
Priority: normal Keywords: patch

Created on 2008-07-05 22:29 by pitrou, last changed 2008-07-30 23:50 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
buffererror.patch pitrou, 2008-07-05 22:40
Messages (6)
msg69306 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-07-05 22:29
Astonishingly, PyExc_BufferError is defined in pyerrors.h but it is
defined nowhere. Consequently, any piece of code raising a
PyExc_BufferError will cause the interpreter to crash as soon as it
tries to do something with the exception...
msg69308 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-07-05 22:40
The following patch fixes it.
msg69312 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-07-05 23:38
Done in r64751.
msg70436 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-07-30 17:47
... and backported to the trunk in r65310.
msg70445 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-07-30 23:46
About r65312, BufferError inherits from StandardError, not directly from
Exception :)
msg70446 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-07-30 23:50
On Wed, Jul 30, 2008 at 6:46 PM, Antoine Pitrou <report@bugs.python.org> wrote:
>
> Antoine Pitrou <pitrou@free.fr> added the comment:
>
> About r65312, BufferError inherits from StandardError, not directly from
> Exception :)

[ Benjamin slaps his head not for the first time today... ]
History
Date User Action Args
2008-07-30 23:50:35benjamin.petersonsetmessages: + msg70446
2008-07-30 23:46:46pitrousetmessages: + msg70445
2008-07-30 17:47:07benjamin.petersonsetmessages: + msg70436
2008-07-05 23:38:43benjamin.petersonsetstatus: open -> closed
nosy: + benjamin.peterson
resolution: fixed
messages: + msg69312
2008-07-05 22:40:13pitrousetfiles: + buffererror.patch
nosy: + teoliphant
messages: + msg69308
keywords: + patch
2008-07-05 22:29:38pitroucreate